#!/bin/sh
#   begin_generated_IBM_prolog                                          
#                                                                       
#   prolog.pro.ococ.telcosp                                             
#   ******************************************************************  
#   IBM Confidential                                                    
#                                                                       
#   OCO Source Materials                                                
#                                                                       
#   Product(s): 5724-O05                                                
#                                                                       
#   Copyright IBM Corp. 2007, 2007                                      
#                                                                       
#   The source code for this program is not published or otherwise      
#   divested of its trade secrets, irrespective of what has been        
#   deposited with the US Copyright Office.                             
#   ******************************************************************  
#                                                                       
#   end_generated_IBM_prolog                                            

# Usage function
usage ( ) {
	echo "Usage:"
	echo "    $0 <db_name> <db_user> <db_password>"
	echo ""
	echo "Example:"
	echo "    $0 xdmssibus db2inst1 dbpassword"
	echo ""
}

# Check the variables
if [ $# != 3 ]
then
	usage
	exit -1
fi

# Variables
db_name=$1
db_user=$2
db_password=$3

# Create the DB
db2 "create database ${db_name}"

# DBM config updates
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING MAXAGENTS 1000"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING SHEAPTHRES 20000"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING MON_HEAP_SZ 512"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING MAX_QUERYDEGREE 1"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_BUFPOOL off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_LOCK off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_SORT off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_STMT off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_TABLE off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_TIMESTAMP off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING DFT_MON_UOW off"
db2 "UPDATE DATABASE MANAGER CONFIGURATION USING HEALTH_MON off"

# DB config updates
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING DBHEAP 8192"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING CATALOGCACHE_SZ 512"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING LOGBUFSZ 2048"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING PCKCACHESZ 2048"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING APPLHEAPSZ 2048"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING APP_CTL_HEAP_SZ 4096"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING STAT_HEAP_SZ 8192"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING STMTHEAP 2048"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING LOGFILSIZ 5000"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING LOGPRIMARY 20"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING LOGSECOND 20"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING MAXAPPLS 500"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING AVG_APPLS 1"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING NUM_IOCLEANERS 3"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING NUM_IOSERVERS 3"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING SOFTMAX 100"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING DFT_DEGREE 1"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING DFT_PREFETCH_SZ 16"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING DFT_EXTENT_SZ 64"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING CHNGPGS_THRESH 60"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING AUTO_MAINT ON"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING AUTO_TBL_MAINT ON"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING AUTO_RUNSTATS ON"
db2 "UPDATE DATABASE CONFIGURATION FOR ${db_name} USING PCKCACHESZ 5000"

db2stop force
db2start
